#ifndef _DTSD_RETCODES_H
#define _DTSD_RETCODES_H

typedef enum exit_codes
{
	DTSADMIN_OK             = 0,
	/* internal error.    */
	DTSADMIN_INTRNL_ERROR   = 1,
	/* already running.   */
	DTSADMIN_ALRDY_RUNNING  = 2,
	/* initilize failed.  */
	DTSADMIN_INIT_FAILED    = 3,
	/* finalyze failed.   */
	DTSADMIN_FYNLZ_FAILED   = 4,
	/* receiv the signal. */
	DTSADMIN_RCV_SIGNAL     = 5,
	/* invalid arguments. */
	DTSADMIN_INVLD_ARGS     = 6,
	/* system error. */
	DTSADMIN_SYSTM_ERR      = 7,
} rcode;

#endif
