#ifndef _DTSADMIN_RESULT_HANDLER_H
#define _DTSADMIN_RESULT_HANDLER_H

#include <sys/queue.h>

#include "common.h"

#define MAX_NUM_RESULTS          64

/* processed result of all dtsd. */
struct processed_results {
	char host[MAX_LEN_HOST];
	char stat[MAX_LEN_STAT];
	char error[MAX_LEN_ERR];
	char msg[MAX_LEN_RES];

	TAILQ_ENTRY(processed_results) entry;
};

TAILQ_HEAD(results_head, processed_results);

extern int strarr2resultq(const char * result_strv[], int result_cnt, struct results_head * rhead);
extern int free_resultq(struct results_head * rhead);
extern int judge_resultq(struct results_head * rhead);
extern void print_resultq(struct results_head * rhead);
#endif

