#include <stdint.h>

#define DTSD_MESSAGE_MAX 32 * 1024

struct hbc_node
{
	// name is never updated
	const char *name;
	uint32_t addr;
	int ready;
};

extern int send_hbc_to_cluster(void);
extern struct hbc_node * find_hbc_node(const char *name);
extern struct hbc_node * find_or_add_hbc_node(const char *name);
extern int dtsd_send_and_exec(const struct options *opt, char ** res[], int * resnum);
extern int set_mynode_state(struct dtsd_config *, int status);
extern int get_mynode_state(const struct dtsd_config *);

