#ifndef HBCLIENT_H_INCLUDED
#define HBCLIENT_H_INCLUDED

#include <stdint.h>

enum {
	HBC_NODE_UP,
	HBC_NODE_DOWN,
};

struct hbc_node
{
	const char *name;
	uint32_t addr;
	int status;
};

int hbc_init(const char *progname,
			 const char *clname,
			 void (*downevent)(const struct hbc_node *node),
			 struct hbc_node *nodelist,
			 int nr_nodes, int debug);
const struct hbc_node *hbc_find_primary_node(void);
void hbc_mainloop(void);
void hbc_cleanup(void);


#endif /* #ifndef HBCLIENT_H_INCLUDED */
