#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <fcntl.h>
#include <errno.h>
#include <assert.h>
#include <pthread.h>
#include <sys/time.h>
#include <time.h>
#include <sys/types.h>
#include <dirent.h>
#include <dlfcn.h>
#include <stdint.h>

#include "dtsd_ri_plugins.h"

struct ri * initialize(int sock, uint32_t addr, uint16_t port, char * optargs) {
	struct ri * ri;

	assert(optargs != NULL);

	ri = (struct ri*) malloc(sizeof(struct ri));
	return ri;
}

int run (struct ri * ri)
{
	assert(ri != NULL);
	return 0;
}

int stop (struct ri * ri)
{
	assert(ri != NULL);
	return 0;
}

int add_node (struct ri * ri, uint32_t ipaddr)
{
	assert(ri != NULL);
	assert(ipaddr != 0);
	return 0;
}

int remove_node (struct ri * ri, uint32_t ipaddr)
{
	assert(ri != NULL);
	assert(ipaddr != 0);
	return 0;
}

int finalize (struct ri * ri)
{
	assert(ri != NULL);
	return 0;
}

const char * usage() {
	return "This requeist inspector is used for debug!.";
}

const char name[] = "defaultri";

struct ri_intf ri_intf = {
	.name = name,
	.initialize = initialize,
	.stop = stop,
	.run = run,
	.add_node = add_node,
	.remove_node = remove_node,
	.finalize = finalize,
	.usage = usage,
};

struct ri_intf * create_ri_intf(void) {
	return & ri_intf;
};


