from distutils.core import setup, Extension
import commands
import shutil

kernbuildinc = '/home/dest-powerpc/lib/modules/2.6.26/build/include'

shutil.rmtree("build/lib.linux-ppc-2.5", True)

setup(name='ftcs',
      version='0.1',
      py_modules=['ftcs', 'ftcs'],
      ext_modules=[Extension('_ftcs', ['ftcs.c'],
                   include_dirs=['/home/dest-powerpc/usr/include', '../../kmod', kernbuildinc],
                   library_dirs=['../'],
                   libraries=['ftcs'])],
      )

shutil.move("build/lib.linux-i686-2.5", "build/lib.linux-ppc-2.5")
