#!/bin/sh

BINDIR=/usr/bin
ETCDIR=/etc/dts
#ETCDIR=/etc
DATADIR=/var/dts
MANINSTALLDIR=/usr/share/man/man1
ROOTCRONTAB=/var/spool/cron/crontabs/root
CUID=`id | sed 's/uid=\([0-9]\+\)(.\+/\1/'`

if [ $CUID -ne 0 ]
then
    echo "only root user" >&2
    exit 1
fi

(cat $ROOTCRONTAB | sed '/dts_mm/d') > $ROOTCRONTAB
#sed '/dts_mm/d' >> $ROOTCRONTAB
echo "delete from crontab"

$BINDIR/dts_mm --kill-all
if [ $? -ne 0 ]
then
    echo "dts_mm failed to run" >&2
#    exit 1
fi
echo "kill all dts_montor"

rm $BINDIR/dts_mm $BINDIR/dts_monitor
echo "delete $BINDIR/dts_mm $BINDIR/dts_montor"

rm $ETCDIR/dts_mm.conf $ETCDIR/dts_monitor.conf
echo "delete $ETCDIR/dts_mm.conf and $ETCDIR/dts_monitor.conf"

#rm $ETCDIR/monitor.conf
#echo "delete $ETCDIR/monitor.conf"

rm  $MANINSTALLDIR/dts_mm.* $MANINSTALLDIR/dts_monitor.*
echo "delete mans"

rm -rf $DATADIR
echo "delete $DATADIR"

echo "uninstall: succeeded"

